vars:
  # Default values for configuration of a STARTX cluster
  # see values.yaml for explanation on each params
  context: &context
    scope: "{[% lookup('vars', 'sx_cluster_config_scope') | default('myscope') %]}"
    cluster: "{[% lookup('vars', 'sx_cluster_config_name') | default('mycluster') %]}"
    environment: "{[% lookup('vars', 'sx_cluster_config_environment') | default('myenv') %]}"
    version: "{[% lookup('vars', 'sx_cluster_config_version') | default('0.0.1') %]}"
    component: acs
    app: startx-acs
  acs:
    enabled: true
    infra: false ## set this to true if infra node available
    central:
      enabled: true
      hooked: false
      name: "startx"
    scanner:
        enabled: true

  # Configuration of the project (see https://startxfr.github.io/helm-repository/charts/project)
  project: 
    enabled: false
    context: 
      <<: *context
    project: 
      enabled: true
      type: namespace
      name: "startx-acs"
      display_name: Startx ACS
      description: ACS operators configured by startx
    rbac: 
      enabled: true
      groups: 
      - id: devops-view
        name: devops
        role: view
      - id: ops-admin
        name: ops
        role: admin
    networkpolicy: 
      enabled: false
    limits: 
      enabled: false
    quotas: 
      enabled: false

  # Configuration of the operator (see https://startxfr.github.io/helm-repository/charts/operator)
  operator:
    enabled: false
    context: 
      <<: *context
    subscription:
      enabled: true
      name: "rhacs-operator"
      namespace: "openshift-operators"
      version: "v3.67.0"
      operator: 
        channel: "latest"
        name: rhacs-operator
        installPlanApproval: Automatic
        # csv: rhacs-operator
        source: 
          name: redhat-operators
          namespace: openshift-marketplace
    operatorGroup:
      enabled: false
      target: "all-ns"
      name: "rhacs-operator"
      namespace: "openshift-operators"
      providedAPIs: " Central.v1alpha1.platform.stackrox.io,SecuredCluster.v1alpha1.platform.stackrox.io"
